CREATE TABLE users
(
    seq INT AUTO_INCREMENT PRIMARY KEY,
    cn VARCHAR(32) UNIQUE NOT NULL,
    mail VARCHAR(128),
    displayname VARCHAR(32),
    salt BINARY(64) NOT NULL,
    pw BINARY(64) NOT NULL,
    permission INT NOT NULL DEFAULT 0
);

CREATE TABLE log
(
    seq INT AUTO_INCREMENT PRIMARY KEY,
    cn VARCHAR(32) NOT NULL,
    dt DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    act INT NOT NULL
);
